CREATE TABLE cso_config_module (
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    RECORD_ID           VARCHAR2(128) ,
    REFERENCE_KEY       VARCHAR2(1020)    NOT NULL,
    PARENT_ID           VARCHAR2(128) ,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    RECORD_ID           VARCHAR2(128) ,
    REFERENCE_KEY       VARCHAR2(1020)    NOT NULL,
    PARENT_ID           VARCHAR2(128) ,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_config_module PRIMARY KEY (RECORD_ID, RECORD_ID)
);
